> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hifi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all KYC statuses

> List all KYC statuses based on the provided filters.




## OpenAPI

````yaml https://production.hifi.com/api/v2/openapi.json get /v2/kyc/status
openapi: 3.0.0
info:
  title: Hifi API
  version: 2.0.0
  description: API documentation for Hifi
servers:
  - url: https://production.hifibridge.com
    description: Production server
  - url: https://sandbox.hifibridge.com
    description: Sandbox server
security:
  - bearerAuth: []
tags:
  - name: Common
    description: Common endpoints
  - name: User
    description: User endpoints
  - name: Kyc
    description: Kyc endpoints
  - name: Wallet
    description: Wallet endpoints
  - name: Account
    description: Account endpoints
  - name: External Account
    description: External Account endpoints for managing beneficiary bank accounts
  - name: Fiat Account
    description: Fiat Account endpoints
  - name: Virtual Account
    description: Virtual Account endpoints
  - name: Onramp
    description: Onramp endpoints
  - name: Offramp
    description: Offramp endpoints
  - name: Orchestration Address
    description: >-
      Orchestration Address endpoints — persistent on-chain wallets that
      automatically off-ramp incoming stablecoin deposits to a USD bank account
  - name: Crypto Transfer
    description: Crypto Transfer endpoints
  - name: Cross-Chain Bridge
    description: Cross-Chain Bridge endpoints
  - name: Token Swap
    description: Token Swap endpoints
  - name: Canton Offers
    description: Canton Offers endpoints
  - name: Transfer Rules
    description: Transfer approval rules and configuration
  - name: Transfer Approvals
    description: Transfer approval workflow and admin actions
  - name: File
    description: File endpoints
  - name: Reporting
    description: Reporting and metrics endpoints
paths:
  /v2/kyc/status:
    get:
      tags:
        - Kyc
      summary: List all KYC statuses
      description: |
        List all KYC statuses based on the provided filters.
      parameters:
        - $ref: '#/components/parameters/UserIdOptionalParameter'
        - $ref: '#/components/parameters/UserNameParameter'
        - $ref: '#/components/parameters/UserEmailV2Parameter'
        - $ref: '#/components/parameters/RailsTypeOptionalParameter'
        - $ref: '#/components/parameters/KycStatusArrayOptionalParameter'
        - $ref: '#/components/parameters/LimitParameter'
        - $ref: '#/components/parameters/CreatedBeforeParameter'
        - $ref: '#/components/parameters/CreatedAfterParameter'
      responses:
        '200':
          $ref: '#/components/responses/AllKycStatusesResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  parameters:
    UserIdOptionalParameter:
      name: userId
      in: query
      schema:
        type: string
      description: The user ID.
      required: false
    UserNameParameter:
      name: userName
      in: query
      schema:
        type: string
      required: false
    UserEmailV2Parameter:
      name: userEmail
      in: query
      schema:
        type: string
      required: false
    RailsTypeOptionalParameter:
      name: rails
      in: query
      schema:
        $ref: '#/components/schemas/RailsEnum'
      description: The type of rail.
      required: false
    KycStatusArrayOptionalParameter:
      name: status
      in: query
      schema:
        type: array
        items:
          $ref: '#/components/schemas/KycStatusEnum'
        minItems: 1
      description: The statuses of the KYC.
      required: false
    LimitParameter:
      name: limit
      in: query
      schema:
        type: string
        minimum: 1
        maximum: 100
      description: default to 10, maximum to 100
      required: false
    CreatedBeforeParameter:
      name: createdBefore
      in: query
      schema:
        type: string
        format: date
      description: 'ISO format: YYYY-MM-DD'
      required: false
    CreatedAfterParameter:
      name: createdAfter
      in: query
      schema:
        type: string
        format: date
      description: 'ISO format: YYYY-MM-DD'
      required: false
  responses:
    AllKycStatusesResponse:
      description: Success
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/AllKycStatusesObject'
          examples:
            BasicKycStatusObjectListExample:
              $ref: '#/components/examples/BasicKycStatusObjectListExample'
    UnauthorizedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Unauthorized'
    NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                enum:
                  - error
              error:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
    InternalServerErrorResponse:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
  schemas:
    RailsEnum:
      type: string
      description: The type of rail.
      enum:
        - USD
        - SOUTH_AMERICA_STANDARD
        - AFRICA_GENERAL
        - AFRICA_NIGERIA
        - GLOBAL_NETWORK
        - USD_FIAT
    KycStatusEnum:
      type: string
      enum:
        - INACTIVE
        - CREATED
        - PENDING
        - INCOMPLETE
        - RFI_PENDING
        - ACTIVE
        - REJECTED
        - CONTACT_SUPPORT
      description: >
        Kyc Status

        - `INACTIVE`: No KYC submission has been made.

        - `CREATED`: KYC application has been submitted.

        - `PENDING`: Review in progress.

        - `RFI_PENDING`: An RFI (Request for Information) email has been sent
        and is pending user response.

        - `INCOMPLETE`: RFI or resubmission required.

        - `ACTIVE`: User approved and onboarded.

        - `REJECTED`: KYC application rejected.

        - `CONTACT_SUPPORT`: Unexpected issue encountered during KYC review.
    AllKycStatusesObject:
      type: array
      items:
        type: object
        properties:
          user:
            type: object
            properties:
              id:
                type: string
                format: uuid
              type:
                type: string
                enum:
                  - individual
                  - business
              name:
                type: string
              email:
                type: string
                format: email
          rails:
            $ref: '#/components/schemas/RailsEnum'
          createdAt:
            type: string
            format: date-time
          updatedAt:
            type: string
            format: date-time
          status:
            $ref: '#/components/schemas/KycStatusEnum'
    Unauthorized:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
    InternalServerError:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
  examples:
    BasicKycStatusObjectListExample:
      summary: Basic KYC Status Object List
      value:
        - user:
            id: 35dbc7ea-2877-4a70-add6-b5458289df23
            type: individual
            name: John Doe
            email: jd@hifibridge.com
          rails: USD
          createdAt: '2023-10-01T12:00:00Z'
          updatedAt: '2023-10-02T12:00:00Z'
          status: ACTIVE
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````